#!/usr/bin/env python

from distutils.core import setup
from distutils.command.install import INSTALL_SCHEMES
import os.path

# Tell distutils to put the data_files in platform-specific installation
# locations. See here for an explanation:
# http://groups.google.com/group/comp.lang.python/browse_thread/thread/35ec7b2fed36eaec/2105ee4d9e8042cb
for scheme in INSTALL_SCHEMES.values():
    scheme['data'] = scheme['purelib']

data_files = []
for dirname in './uirk/scripts',:
    data_files.append([dirname, [os.path.join(dirname, f) for f in os.listdir(dirname)]])

setup(name='Uirk',
    version='0.1',
    description='Ubuntu Image Remaster Kit',
    long_description='Ubuntu Image Remaster Kit',
    author='Vitja Makarov',
    author_email='vitja.makarov@gmail.com',
    url='http://launchpad.net/uirk',
    packages=['uirk', 'uirk.progress', 'uirk.scripts'],
    data_files=data_files,
    scripts=['bin/uirk'],
    license='GPLv2')
