#  Copyright (c) 2010 Vitja Makarov
#
#  Author: Vitja Makarov <vitja.makarov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

__all__ = ['sudo_chroot']
import os
import tempfile

from uirk.utils import PROJECT_ROOT, SCRIPTS_DIR, SUDO

def sudo_chroot(fspath, cmd, sudo=SUDO):
    """TODO: glib loop support"""
    pid = os.fork()
    if pid:
        return os.waitpid(pid, 0)[1]
    try:
        os.execv(SUDO, [SUDO, os.path.join(SCRIPTS_DIR, 'chroot.sh'), fspath, cmd])
    finally:
        os._exit(666)
