#  Copyright (c) 2010 Vitja Makarov
#
#  Author: Vitja Makarov <vitja.makarov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import os
import getpass

from uirk.progress.text import TextExtractISOProgress
from uirk import utils

class Error(Exception):
    pass

class ExtractISO(object):
    def __init__(self, isopath, destdir, is_dir=False, verbose=False):
        self._isopath = isopath
        self._destdir = destdir
        self._is_dir = is_dir
        self.verbose = verbose

    def run(self, progress=None):
        if self._is_dir:
            prog = os.path.join(utils.SCRIPTS_DIR, 'extractdir.sh')
        else:
            prog = os.path.join(utils.SCRIPTS_DIR, 'extractiso.sh')
        args = [prog, self._isopath, self._destdir, '%(u)s:%(u)s' % dict(u=getpass.getuser())]
        if progress is None:
            progress = TextExtractISOProgress
        progress = progress(verbose=self.verbose, obj=self)
        ret = progress.run(self, prog, args)
        if ret != 0:
            raise utils.OperationError, "mkisofs exited with code %d" % ret

if __name__ == "__main__":
    import sys

    if len(sys.argv) != 3:
        print >> sys.stderr, "Usage: %s <iso-file> <destdir>" % sys.argv[0]
        sys.exit(1)

    e = ExtractISO(sys.argv[1], sys.argv[2])
    e.run()
