#  Copyright (c) 2010 Vitja Makarov
#
#  Author: Vitja Makarov <vitja.makarov@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3,
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import getpass
import os

from uirk.progress.text import TextInitrdUpdateProgress
from uirk import utils

class Error(Exception):
    pass

class InitrdUpdate(object):
    def __init__(self, src, dst, casper_uuid, output_format, verbose=False):
        self.src = src
        self.dst = dst
        self.casper_uuid = casper_uuid
        self.output_format = output_format
        self.verbose = verbose

    def run(self, progress=None):
        prog = os.path.join(utils.SCRIPTS_DIR, 'casper-new-uuid.sh')
        args = [prog, self.src, self.dst, self.casper_uuid, self.output_format]
        if progress is None:
            progress = TextInitrdUpdateProgress
        progress = progress(verbose=self.verbose, obj=self)
        ret = progress.run(self, prog, args)
        if ret != 0:
            raise utils.OperationError, "mkisofs exited with code %d" % ret
